"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var ProductPrice = function (_a) {
    var _b, _c, _d, _e, _f;
    var product = _a.product, fontSize = _a.fontSize, className = _a.className;
    return (react_1["default"].createElement("div", { className: "font-title ".concat(className) },
        react_1["default"].createElement("span", { className: "price ".concat(product.specialPrice ? 'font-normal line-through text-gray-400' : 'font-semibold'), style: { fontSize: product.specialPrice ? (fontSize - 2 || 12) : (fontSize || 14) } }, (_c = (_b = product.price) === null || _b === void 0 ? void 0 : _b.value) === null || _c === void 0 ? void 0 : _c.toLocaleString('en-US', {
            style: 'currency',
            currency: (_d = product.price) === null || _d === void 0 ? void 0 : _d.currencyCode
        })),
        product.specialPrice &&
            react_1["default"].createElement("span", { className: "ml-1 price text-red-500 font-bold", style: { fontSize: fontSize || 14 } }, (_e = product.specialPrice) === null || _e === void 0 ? void 0 : _e.toLocaleString('en-US', {
                style: 'currency',
                currency: (_f = product.price) === null || _f === void 0 ? void 0 : _f.currencyCode
            }))));
};
exports["default"] = ProductPrice;
//# sourceMappingURL=ProductPrice.js.map